Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1539)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 1540)
@@ -1264,7 +1264,7 @@
 	}
 
 	/**
-	 * Sets a parameters from its parameter annotation "key".
+	 * Sets a parameter from its parameter annotation "key".
 	 * @param key
 	 * @param value
 	 * @return
@@ -1275,10 +1275,10 @@
 	}
 
 	/**
-	 * Sets a parameters from its parameter annotation "key".
+	 * Sets a parameter from its parameter annotation "key".
 	 * @param key
 	 * @param value
-	 * @param propagateToParent propagate the key=value to parent if the result has no field=key
+	 * @param propagateToParent propagates the key=value to the parents if the result has no field=key
 	 * 
 	 * @return
 	 * @throws Exception
@@ -1302,12 +1302,6 @@
 
 		if (targetField != null)	{
 			targetField.setAccessible(true);
-
-			// FIXME: debug
-			//if(value != null)	{
-			//	Log.info("TXMResult.setParameter(): setting parameter " + key + " = " + value + " for " + this.getClass() + " (" + value.getClass() + ")");
-			//}
-
 			targetField.set(this, value);
 		}
 		else if (this.parent != null && propagateToParent) {
@@ -1375,33 +1369,18 @@
 	 * Deletes all non persistent results and saves the results to persist.
 	 */
 	public static void deleteAllNonPersistentResults() {
-//		File logs = new File(System.getProperty("user.home"), "logs.txt");
-//		PrintWriter w = null;
-		try {
-//			w = IOUtils.getWriter(logs);
-			List<TXMResult> todo = Toolbox.workspace.getChildren();
-			while (todo.size() > 0) {
-				TXMResult r = null;
-//				try {
-					r = todo.remove(0);
-					todo.addAll(0, r.getChildren());
-//					w.println("Persisting? "+r);
-					if (r.mustBePersisted())	{ 
-//						w.println(" YES");
-						TXMPreferences.flush(r);
-					}
-					else {
-//						w.println(" NO");
-						Log.finest("TXMResult.deleteAllNonPersistentResults(): Deleting result " + r.getSimpleName() + " of type " + r.getClass().getSimpleName() + ".");
-						TXMPreferences.delete(r);
-					}
-//				} catch (Exception e) {
-//					w.println(" Error: "+e+" with "+r);
-//				}
-//				w.println(" OK: "+r);
-			}
-		} finally {
-//			if (w != null) w.close();
+		List<TXMResult> todo = Toolbox.workspace.getChildren();
+		while (todo.size() > 0) {
+			TXMResult r = null;
+				r = todo.remove(0);
+				todo.addAll(0, r.getChildren());
+				if (r.mustBePersisted())	{ 
+					TXMPreferences.flush(r);
+				}
+				else {
+					Log.finest("TXMResult.deleteAllNonPersistentResults(): Deleting result " + r.getSimpleName() + " of type " + r.getClass().getSimpleName() + ".");
+					TXMPreferences.delete(r);
+				}
 		}
 	}
 
@@ -1429,19 +1408,11 @@
 	 */
 	private boolean addChild(TXMResult child) {
 		try {
-			// do nothing if the parent is already this result
-			//			if(child.getParent() == this)	{
-			//				return true;
-			//			}
-			//			else	{
 			// remove from current parent if exists
 			child.removeFromParent();
 
 			child.setParent(this);
 			if (!this.children.contains(child)) {
-				// FIXME: Debug
-				// System.err.println("TXMResult.addResult(); adding child " +
-				// child + " to parent " + this);
 				return this.children.add(child);
 			}
 			//			}
@@ -1462,9 +1433,6 @@
 		try {
 			if (!this.children.contains(child)) {
 				child.setParent(this);
-				// FIXME: Debug
-				// System.err.println("TXMResult.addResult(); adding child " +
-				// child + " to parent " + this);
 				this.children.add(index, child);
 				return true;
 			}
@@ -1756,37 +1724,6 @@
 		return this.getDeepChildren().contains(child);
 	}
 	
-
-	//	/**
-	//	 * Gets the first parent of the specified class, eg. this.getFirstParent(Partition.class);
-	//	 * Returns the object itself if it is of the specified class.
-	//	 * @param type
-	//	 * @return null if the TXMResult is not attached to a BinaryCorpus
-	//	 */
-	//	public Project getCorpusProject() {
-	//		Object o = getFirstParent(Project.class);
-	//		if (o != null) {
-	//			return (Project)o;
-	//		} else {
-	//			return null;
-	//		}
-	//	}
-	//	
-	//	/**
-	//	 * Gets the first parent of the specified class, eg. this.getFirstParent(Partition.class);
-	//	 * Returns the object itself if it is of the specified class.
-	//	 * @param type
-	//	 * @return null if the TXMResult is not attached to a BinaryCorpus
-	//	 */
-	//	public CorpusBuild getCorpusBuild() {
-	//		Object o = getFirstParent(CorpusBuild.class);
-	//		if (o != null) {
-	//			return (CorpusBuild)o;
-	//		} else {
-	//			return null;
-	//		}
-	//	}
-
 	/**
 	 * Gets the sibling nodes of this node result.
 	 */
